<?php
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* ECA-Projet                                                           */
/* ----------                                                           */
/*                                                                      */
/* Version 1.1 - Juin 2011                                              */
/* ----------------------                                               */
/*                                                                      */
/* Gestionnaire de suivi de projets pour NPDS                           */
/*                                                                      */
/* Dvelopp par Boris - http://www.e-concept-applications.fr           */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* NPDS : Net Portal Dynamic System                                     */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

include("eca-projet.conf.php");

$pourcentage = (int)$_GET["pourcentage"];
if($pourcentage > 100)
    $pourcentage = 100;
if($pourcentage < 0)
    $pourcentage = 0;

// Dfinission de la variable d'environnement pour GD
@putenv('GDFONTPATH=' . realpath('.'));

// Nom de la police  utiliser (notez l'absence de l'extension .ttf)
global $font;
$font = './makisupa.ttf';


function centrage_largeur($chaine, $dimensions, $largeur) {
    return (int)($largeur - ($dimensions[2] - $dimensions[0])) / 2;
}

function centrage_hauteur($chaine, $dimensions, $hauteur) {
    return (int)($hauteur - ($dimensions[7] - $dimensions[1])) / 2;
}

header("Content-type: image/png");

// Cration de l'image
$barre = ImageCreate($largeur_barre_bloc, $hauteur_barre_bloc) or die("Erreur lors de la cration de l'image");

// Cration du fond
$couleur = explode(",",$fond_barre_bloc);
$fond_barre_bloc = ImageColorAllocate($barre, $couleur[0], $couleur[1], $couleur[2]);
imageFilledRectangle ($barre, 0, 0, $largeur_barre_bloc - 1, $hauteur_barre_bloc - 1, $fond_barre_bloc);

// Cration de la bordure
$couleur = explode(",",$bordure_barre_bloc);
$bordure_barre_bloc = ImageColorAllocate($barre, $couleur[0], $couleur[1], $couleur[2]);
imageRectangle ($barre, 0, 0, $largeur_barre_bloc - 1, $hauteur_barre_bloc - 1, $bordure_barre_bloc);

// Cration de la barre de pourcentage
$taille = (($pourcentage * $largeur_barre_bloc) / 100) - 2;
if($taille >= 1) {
    if($pourcentage < $seuil1_bloc)
        $couleur = explode(",",$couleur_barre_seuil1_bloc);
    else if($pourcentage < $seuil2_bloc)
        $couleur = explode(",",$couleur_barre_seuil2_bloc);
    else
        $couleur = explode(",",$couleur_barre_seuil3_bloc);
    $couleur_barre_bloc = ImageColorAllocate($barre, $couleur[0], $couleur[1], $couleur[2]);
    imageFilledRectangle ($barre, 1, 1, $taille, $hauteur_barre_bloc - 2, $couleur_barre_bloc);
}

$couleur = explode(",",$couleur_texte_bloc);
$couleur_texte_bloc = ImageColorAllocate($barre, $couleur[0], $couleur[1], $couleur[2]);
$chaine = $pourcentage."%";

$dimensions = imagettfbbox($taille_texte_bloc, 0, $font, $chaine);
imagettftext($barre, $taille_texte_bloc, 0, centrage_largeur($chaine, $dimensions, $largeur_barre_bloc), centrage_hauteur($chaine, $dimensions, $hauteur_barre_bloc), $couleur_texte_bloc, $font, $chaine);

ImagePng($barre);


?>
